import matplotlib.pyplot as plt
numargs = cosine.numargs
[  ] = [0.9,] * numargs
rv = cosine()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = cosine.cdf(x, )
h = plt.semilogy(np.abs(x - cosine.ppf(prb, )) + 1e-20)

# Random number generation

R = cosine.rvs(size=100)
